Sorry your browser is not supported!

You are using an outdated browser that does not support modern web technologies, in order to use this site please update to a new browser.

Browsers supported include Chrome, FireFox, Safari, Opera, Internet Explorer 10+ or Microsoft Edge.

Dark Physics & Dark A.I. & Dark Dynamix / What runtime do I need for Dark PHYSICS ?

Author
Message
Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 13th Jan 2013 23:27
Hello,

What runtime do I need to install for Dark PHYSICS 1.05 ( the last update version ) ? I am using Windows 7 64 bit. My video card is ATI Radeon HD 7750.

The physics demos are not working and crashing when I hit the ESC key to stop the application.

Please help.

Thanks,
Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 14th Jan 2013 00:00
ok. Everybody here is the solution if anybody else get stuck - use/install PHYSX system software version 8.X instead of the latest 9.X.

A google search will reveal the 8.X version download from third party website. I was unable to find legacy version download of PHYSX system software on NVIDIA website!

If any body knows please put up a link in the forum so that new comers do not spend hours finding what to install to the Dark Physics demos working.
MrValentine
AGK Backer
8
Years of Service
User Offline
Joined: 5th Dec 2010
Playing: FFVII
Posted: 14th Jan 2013 02:18 Edited at: 14th Jan 2013 02:18
New ones work perfectly fine for me, and ensure you have updated your DBP IDE and core to at least U7.62 / U7.77

Install the very latest PHYSX Runtime from the NVidia site here is a shortcut which should redirect you to your localised version

http://www.nvidia.co.uk/object/physx_system_software_uk.html

On another topic
Juggernaut you requested some 3DWS videos right? I cannot find that thread, but just to let you know I will be making a complete video in the coming days, keep track of this thread where I will post the video...

TGC FORUM User YouTube Videos [unofficial]
http://forum.thegamecreators.com/?m=forum_view&t=202888&b=2

If it was not you then, oh well ^^

Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 14th Jan 2013 11:24 Edited at: 14th Jan 2013 11:28
@Mr. Valentine:

I have updated Dark Basic Pro to the last officially released update
U7.62

But when I installed the latest PHYSX system software (runtime) -

Quote: "
Version:
9.12.1031
Release Date:
2012.11.26
Operating System:
Windows Vista 64-bit, Windows Vista, Windows XP, Windows 7 64-bit, Windows 7, Windows XP 64-bit
Language:
English (UK)
File Size:
25.4 MB
"


I encountered getting a dll missing error that relates something to the NVIDIA CUDA.
I guess you are using an NVIDIA chipset video card and associated driver. That is why you are not getting error.
For persons who are using ATI RADEON cards and associated catalyst drivers do not have the CUDA dll in their system giving rise to errors! So I had no option but to downgrade and use PHYSX system software version 8.X instead of 9.X Also CUDA computation is premonitory to NVIDIA cards and not available on ATI RADEON cards.


I will be waiting to see what videos you have in mind for us.
MrValentine
AGK Backer
8
Years of Service
User Offline
Joined: 5th Dec 2010
Playing: FFVII
Posted: 14th Jan 2013 11:42
I have all three... NVidia ATI and Intel and all work with PHYSX...

Go to http://www.akaneaya.com/volcanicadventures/ hopefully thats correctly linked I am using my phone right now...

And click the system requirements tab... and maybe download my demo and see if the issue still persists... my demo used PHYSX...

Can you screen grab the error? and did you use PHY START before calling any PHYSX commands?

Also in your product downloads you should see a handful of DarkPHYSICS downloads... did you explore there? I install them in series...

Hope that helps...

Thanks! I will work on the video this week and maybe make some more assets today... like music

Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 14th Jan 2013 17:36
I was exploring the Dark Physics examples that comes within my account download area.

When I installed the latest PHYSX system software driver version 9.12.1031 and try to run the examples I got the following dll missing error -

cudart32_41_22.dll
MrValentine
AGK Backer
8
Years of Service
User Offline
Joined: 5th Dec 2010
Playing: FFVII
Posted: 14th Jan 2013 17:51
I found it located in:

C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common

Check that you have it there, if not, rerun the installer in Admin mode for PHYSX... Concerned about that alternative location you downloaded from... I think you should run a virus scan soon... Alternatively you can try to install it in safe mode... though I cannot recall if that would work as the last time I remember to have attempted it was at least 5 years ago...

Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 14th Jan 2013 18:54
Mr. Valentine I re-downloaded from the link you provided http://www.nvidia.co.uk/content/DriverDownload-March2009/confirmation.php?url=/Windows/9.12.1031/PhysX-9.12.1031-SystemSoftware.msi&lang=uk&type=Other

and the examples are working now without any errors or crashes.

I guess the last time the downloaded file got corrupted somehow during download and save on the hard disk.
MrValentine
AGK Backer
8
Years of Service
User Offline
Joined: 5th Dec 2010
Playing: FFVII
Posted: 14th Jan 2013 18:55
That is good to hear, glad you got it working

Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 14th Jan 2013 19:30
Yes I also downloaded and ran the volcanic adventure demo. Looks very good. Very good shader and particle system implementation.
MrValentine
AGK Backer
8
Years of Service
User Offline
Joined: 5th Dec 2010
Playing: FFVII
Posted: 14th Jan 2013 19:32 Edited at: 14th Jan 2013 19:33
[SHY FACE]

Thank you, that means a lot to me!



EDIT

I aim to make that a complete project and kick it on kickstarter!

Juggernaut
7
Years of Service
User Offline
Joined: 12th Mar 2012
Location:
Posted: 14th Jan 2013 20:10
wow ! Go with it man
MrValentine
AGK Backer
8
Years of Service
User Offline
Joined: 5th Dec 2010
Playing: FFVII
Posted: 15th Jan 2013 04:39
Thank you once again!

Login to post a reply

Server time is: 2019-08-19 21:21:55
Your offset time is: 2019-08-19 21:21:55